# $Id: cfd6f07ec9cbec855974fd0228dd0a74b263fe4f $

<%
{
  'host'           => node['nagios']['objects']['hosts'],
  'hostgroup'      => node['nagios']['objects']['hostgroups'],
  'hostdependency' => node['nagios']['objects']['hostdependencies'],
  'hostescalation' => node['nagios']['objects']['hostescalations'],
  'hostextinfo'    => node['nagios']['objects']['hostextinfos']
}.each do |type_name, objects|
  objects.each do |object|
-%>
define <%= type_name %> {
  <% object.each do |key, value| -%>
	<%= key %>	<%= value %>
  <% end -%>
}

<%
  end
end
-%>

